package model;

/**
 * This enum contains a set of language
 * @author gonta
 *
 */
public enum Language {
	PORTUGUESE("PORTUGUESE"), SPANISH ("SPANISH"), ENGLISH("ENGLISH");
	private String description;	
	
	
	Language( String language ){
		this.description = language;
	}
	
	/**
	 * This method convert a string in a language according to the type initials
	 * @param sigla first words 
	 * @return
	 */
	public static Language convert( String sigla ){
	
		if( sigla.compareToIgnoreCase("pt") == 0)
			return PORTUGUESE;
		
		if( sigla.compareToIgnoreCase("en") == 0)
			return ENGLISH;
		
		if( sigla.compareToIgnoreCase("es") == 0)
			return SPANISH;
		
		return PORTUGUESE;
	}
	
	@Override
	public String toString() {
		return this.description;
	}
}
