package model.ontology;

/**
 * This class represents the relation between 2 nodes, specifically hiperonym relation
 * @author gonta
 *
 */
public class Relation {

	Node source;
	Node destination;
	
	/**
	 * Constructor
	 * @param source source node
	 * @param destination destination node
	 */
	public Relation (Node source, Node destination){
		this.source = source; 
		this.destination = destination;		
	}
	
	public Node getSource() {
		return source;
	}

	public void setSource(Node source) {
		this.source = source;
	}

	public Node getDestination() {
		return destination;
	}

	public void setDestination(Node destination) {
		this.destination = destination;
	}

	/**
	 * This methods compares 2 relations and return true if they are the same
	 * @param relation relation to be compared
	 * @return
	 */
	public boolean equals(Relation relation) {
		if(source.getName().equals(relation.getSource().getName()) && source.getId() == relation.getSource().getId() && 
				destination.getName().equals(relation.getDestination().getName()) && destination.getId() == relation.getDestination().getId())
			return true;
		return false;
	}
	
	@Override
	public String toString() {
		return "source: " + source.toString() + "  destination: " + destination.toString();
	}
	
	
	
}
